Initialize monday sandbox with data
curl --request POST \
--url https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaces": [
{
"name": "Product Development",
"kind": "open",
"description": "Main workspace for product development and engineering teams"
},
{
"name": "Marketing & Sales",
"kind": "open",
"description": "Workspace for marketing campaigns and sales tracking"
}
],
"boards": [
{
"name": "Sprint Planning Q1",
"description": "Agile sprint planning and task tracking for Q1 2024",
"board_kind": "public",
"groups": [
{
"title": "Backlog",
"color": "#808080",
"items": [
{
"name": "Research new authentication methods",
"column_values": {
"status": "Not Started",
"priority": "Low"
},
"updates": [
{
"body": "Need to evaluate OAuth 2.0, SAML, and WebAuthn"
}
]
}
]
},
{
"title": "Sprint 1 - Foundation",
"color": "#0086c0",
"items": [
{
"name": "Set up project repository",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [
{
"body": "Repository created on GitHub with proper branch protection rules"
}
],
"subitems": [
{
"name": "Initialize Git repository"
}
]
},
{
"name": "Implement user authentication",
"column_values": {
"status": "Working on it",
"priority": "Critical"
},
"updates": [
{
"body": "Started with JWT token implementation"
}
],
"subitems": [
{
"name": "Implement JWT authentication"
}
]
}
]
},
{
"title": "Completed",
"color": "#00d647",
"items": [
{
"name": "Initial project kickoff",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [
{
"body": "Successful kickoff meeting with all stakeholders"
}
]
}
]
}
]
},
{
"name": "Bug Tracker",
"description": "Track and manage software bugs and issues",
"board_kind": "public",
"groups": [
{
"title": "New Bugs",
"color": "#e44258",
"items": [
{
"name": "Login fails on Safari browser",
"column_values": {
"status": "New",
"priority": "Critical",
"severity": "High"
},
"updates": [
{
"body": "Reported by 3 users, reproducible on Safari 17+"
}
]
}
]
},
{
"title": "In Progress",
"color": "#fdab3d",
"items": [
{
"name": "API timeout on large data requests",
"column_values": {
"status": "Investigating",
"priority": "High",
"severity": "Medium"
},
"updates": [
{
"body": "Identified slow database query as root cause"
}
],
"subitems": [
{
"name": "Add database indexes"
}
]
}
]
},
{
"title": "Closed",
"color": "#c4c4c4",
"items": [
{
"name": "Dark mode toggle not working",
"column_values": {
"status": "Closed",
"priority": "Medium",
"severity": "Low"
},
"updates": [
{
"body": "Fixed in version 1.2.0"
}
]
}
]
}
]
},
{
"name": "Marketing Campaigns 2024",
"description": "Marketing campaign planning and execution",
"board_kind": "public",
"groups": [
{
"title": "Q1 Campaigns",
"color": "#9cd326",
"items": [
{
"name": "Spring Product Launch",
"column_values": {
"status": "In Progress",
"budget": "$50000"
},
"updates": [
{
"body": "Landing page design completed"
}
],
"subitems": [
{
"name": "Create landing page"
}
]
}
]
},
{
"title": "Q2 Planning",
"color": "#037f4c",
"items": [
{
"name": "Summer Webinar Series",
"column_values": {
"status": "Planning",
"budget": "$25000"
},
"updates": [
{
"body": "Brainstorming topics with product team"
}
]
}
]
}
]
},
{
"name": "Customer Success",
"description": "Customer onboarding and support initiatives",
"board_kind": "public",
"groups": [
{
"title": "Enterprise Clients",
"color": "#784bd1",
"items": [
{
"name": "Acme Corp - Onboarding",
"column_values": {
"status": "In Progress",
"account_value": "$250000"
},
"updates": [
{
"body": "Kickoff call completed, 50 user licenses purchased"
}
],
"subitems": [
{
"name": "Initial training session"
}
]
}
]
},
{
"title": "SMB Clients",
"color": "#579bfc",
"items": [
{
"name": "Digital Agency Co - Support",
"column_values": {
"status": "Active",
"account_value": "$5000"
},
"updates": [
{
"body": "Monthly check-in call completed"
}
]
}
]
}
]
}
]
}
'import requests
url = "https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize"
payload = {
"workspaces": [
{
"name": "Product Development",
"kind": "open",
"description": "Main workspace for product development and engineering teams"
},
{
"name": "Marketing & Sales",
"kind": "open",
"description": "Workspace for marketing campaigns and sales tracking"
}
],
"boards": [
{
"name": "Sprint Planning Q1",
"description": "Agile sprint planning and task tracking for Q1 2024",
"board_kind": "public",
"groups": [
{
"title": "Backlog",
"color": "#808080",
"items": [
{
"name": "Research new authentication methods",
"column_values": {
"status": "Not Started",
"priority": "Low"
},
"updates": [{ "body": "Need to evaluate OAuth 2.0, SAML, and WebAuthn" }]
}
]
},
{
"title": "Sprint 1 - Foundation",
"color": "#0086c0",
"items": [
{
"name": "Set up project repository",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [{ "body": "Repository created on GitHub with proper branch protection rules" }],
"subitems": [{ "name": "Initialize Git repository" }]
},
{
"name": "Implement user authentication",
"column_values": {
"status": "Working on it",
"priority": "Critical"
},
"updates": [{ "body": "Started with JWT token implementation" }],
"subitems": [{ "name": "Implement JWT authentication" }]
}
]
},
{
"title": "Completed",
"color": "#00d647",
"items": [
{
"name": "Initial project kickoff",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [{ "body": "Successful kickoff meeting with all stakeholders" }]
}
]
}
]
},
{
"name": "Bug Tracker",
"description": "Track and manage software bugs and issues",
"board_kind": "public",
"groups": [
{
"title": "New Bugs",
"color": "#e44258",
"items": [
{
"name": "Login fails on Safari browser",
"column_values": {
"status": "New",
"priority": "Critical",
"severity": "High"
},
"updates": [{ "body": "Reported by 3 users, reproducible on Safari 17+" }]
}
]
},
{
"title": "In Progress",
"color": "#fdab3d",
"items": [
{
"name": "API timeout on large data requests",
"column_values": {
"status": "Investigating",
"priority": "High",
"severity": "Medium"
},
"updates": [{ "body": "Identified slow database query as root cause" }],
"subitems": [{ "name": "Add database indexes" }]
}
]
},
{
"title": "Closed",
"color": "#c4c4c4",
"items": [
{
"name": "Dark mode toggle not working",
"column_values": {
"status": "Closed",
"priority": "Medium",
"severity": "Low"
},
"updates": [{ "body": "Fixed in version 1.2.0" }]
}
]
}
]
},
{
"name": "Marketing Campaigns 2024",
"description": "Marketing campaign planning and execution",
"board_kind": "public",
"groups": [
{
"title": "Q1 Campaigns",
"color": "#9cd326",
"items": [
{
"name": "Spring Product Launch",
"column_values": {
"status": "In Progress",
"budget": "$50000"
},
"updates": [{ "body": "Landing page design completed" }],
"subitems": [{ "name": "Create landing page" }]
}
]
},
{
"title": "Q2 Planning",
"color": "#037f4c",
"items": [
{
"name": "Summer Webinar Series",
"column_values": {
"status": "Planning",
"budget": "$25000"
},
"updates": [{ "body": "Brainstorming topics with product team" }]
}
]
}
]
},
{
"name": "Customer Success",
"description": "Customer onboarding and support initiatives",
"board_kind": "public",
"groups": [
{
"title": "Enterprise Clients",
"color": "#784bd1",
"items": [
{
"name": "Acme Corp - Onboarding",
"column_values": {
"status": "In Progress",
"account_value": "$250000"
},
"updates": [{ "body": "Kickoff call completed, 50 user licenses purchased" }],
"subitems": [{ "name": "Initial training session" }]
}
]
},
{
"title": "SMB Clients",
"color": "#579bfc",
"items": [
{
"name": "Digital Agency Co - Support",
"column_values": {
"status": "Active",
"account_value": "$5000"
},
"updates": [{ "body": "Monthly check-in call completed" }]
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [
{
name: 'Product Development',
kind: 'open',
description: 'Main workspace for product development and engineering teams'
},
{
name: 'Marketing & Sales',
kind: 'open',
description: 'Workspace for marketing campaigns and sales tracking'
}
],
boards: [
{
name: 'Sprint Planning Q1',
description: 'Agile sprint planning and task tracking for Q1 2024',
board_kind: 'public',
groups: [
{
title: 'Backlog',
color: '#808080',
items: [
{
name: 'Research new authentication methods',
column_values: {status: 'Not Started', priority: 'Low'},
updates: [{body: JSON.stringify('Need to evaluate OAuth 2.0, SAML, and WebAuthn')}]
}
]
},
{
title: 'Sprint 1 - Foundation',
color: '#0086c0',
items: [
{
name: 'Set up project repository',
column_values: {status: 'Done', priority: 'High'},
updates: [
{
body: JSON.stringify('Repository created on GitHub with proper branch protection rules')
}
],
subitems: [{name: 'Initialize Git repository'}]
},
{
name: 'Implement user authentication',
column_values: {status: 'Working on it', priority: 'Critical'},
updates: [{body: JSON.stringify('Started with JWT token implementation')}],
subitems: [{name: 'Implement JWT authentication'}]
}
]
},
{
title: 'Completed',
color: '#00d647',
items: [
{
name: 'Initial project kickoff',
column_values: {status: 'Done', priority: 'High'},
updates: [{body: JSON.stringify('Successful kickoff meeting with all stakeholders')}]
}
]
}
]
},
{
name: 'Bug Tracker',
description: 'Track and manage software bugs and issues',
board_kind: 'public',
groups: [
{
title: 'New Bugs',
color: '#e44258',
items: [
{
name: 'Login fails on Safari browser',
column_values: {status: 'New', priority: 'Critical', severity: 'High'},
updates: [{body: JSON.stringify('Reported by 3 users, reproducible on Safari 17+')}]
}
]
},
{
title: 'In Progress',
color: '#fdab3d',
items: [
{
name: 'API timeout on large data requests',
column_values: {status: 'Investigating', priority: 'High', severity: 'Medium'},
updates: [{body: JSON.stringify('Identified slow database query as root cause')}],
subitems: [{name: 'Add database indexes'}]
}
]
},
{
title: 'Closed',
color: '#c4c4c4',
items: [
{
name: 'Dark mode toggle not working',
column_values: {status: 'Closed', priority: 'Medium', severity: 'Low'},
updates: [{body: JSON.stringify('Fixed in version 1.2.0')}]
}
]
}
]
},
{
name: 'Marketing Campaigns 2024',
description: 'Marketing campaign planning and execution',
board_kind: 'public',
groups: [
{
title: 'Q1 Campaigns',
color: '#9cd326',
items: [
{
name: 'Spring Product Launch',
column_values: {status: 'In Progress', budget: '$50000'},
updates: [{body: JSON.stringify('Landing page design completed')}],
subitems: [{name: 'Create landing page'}]
}
]
},
{
title: 'Q2 Planning',
color: '#037f4c',
items: [
{
name: 'Summer Webinar Series',
column_values: {status: 'Planning', budget: '$25000'},
updates: [{body: JSON.stringify('Brainstorming topics with product team')}]
}
]
}
]
},
{
name: 'Customer Success',
description: 'Customer onboarding and support initiatives',
board_kind: 'public',
groups: [
{
title: 'Enterprise Clients',
color: '#784bd1',
items: [
{
name: 'Acme Corp - Onboarding',
column_values: {status: 'In Progress', account_value: '$250000'},
updates: [{body: JSON.stringify('Kickoff call completed, 50 user licenses purchased')}],
subitems: [{name: 'Initial training session'}]
}
]
},
{
title: 'SMB Clients',
color: '#579bfc',
items: [
{
name: 'Digital Agency Co - Support',
column_values: {status: 'Active', account_value: '$5000'},
updates: [{body: JSON.stringify('Monthly check-in call completed')}]
}
]
}
]
}
]
})
};
fetch('https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [
{
name: 'Product Development',
kind: 'open',
description: 'Main workspace for product development and engineering teams'
},
{
name: 'Marketing & Sales',
kind: 'open',
description: 'Workspace for marketing campaigns and sales tracking'
}
],
boards: [
{
name: 'Sprint Planning Q1',
description: 'Agile sprint planning and task tracking for Q1 2024',
board_kind: 'public',
groups: [
{
title: 'Backlog',
color: '#808080',
items: [
{
name: 'Research new authentication methods',
column_values: {status: 'Not Started', priority: 'Low'},
updates: [{body: JSON.stringify('Need to evaluate OAuth 2.0, SAML, and WebAuthn')}]
}
]
},
{
title: 'Sprint 1 - Foundation',
color: '#0086c0',
items: [
{
name: 'Set up project repository',
column_values: {status: 'Done', priority: 'High'},
updates: [
{
body: JSON.stringify('Repository created on GitHub with proper branch protection rules')
}
],
subitems: [{name: 'Initialize Git repository'}]
},
{
name: 'Implement user authentication',
column_values: {status: 'Working on it', priority: 'Critical'},
updates: [{body: JSON.stringify('Started with JWT token implementation')}],
subitems: [{name: 'Implement JWT authentication'}]
}
]
},
{
title: 'Completed',
color: '#00d647',
items: [
{
name: 'Initial project kickoff',
column_values: {status: 'Done', priority: 'High'},
updates: [{body: JSON.stringify('Successful kickoff meeting with all stakeholders')}]
}
]
}
]
},
{
name: 'Bug Tracker',
description: 'Track and manage software bugs and issues',
board_kind: 'public',
groups: [
{
title: 'New Bugs',
color: '#e44258',
items: [
{
name: 'Login fails on Safari browser',
column_values: {status: 'New', priority: 'Critical', severity: 'High'},
updates: [{body: JSON.stringify('Reported by 3 users, reproducible on Safari 17+')}]
}
]
},
{
title: 'In Progress',
color: '#fdab3d',
items: [
{
name: 'API timeout on large data requests',
column_values: {status: 'Investigating', priority: 'High', severity: 'Medium'},
updates: [{body: JSON.stringify('Identified slow database query as root cause')}],
subitems: [{name: 'Add database indexes'}]
}
]
},
{
title: 'Closed',
color: '#c4c4c4',
items: [
{
name: 'Dark mode toggle not working',
column_values: {status: 'Closed', priority: 'Medium', severity: 'Low'},
updates: [{body: JSON.stringify('Fixed in version 1.2.0')}]
}
]
}
]
},
{
name: 'Marketing Campaigns 2024',
description: 'Marketing campaign planning and execution',
board_kind: 'public',
groups: [
{
title: 'Q1 Campaigns',
color: '#9cd326',
items: [
{
name: 'Spring Product Launch',
column_values: {status: 'In Progress', budget: '$50000'},
updates: [{body: JSON.stringify('Landing page design completed')}],
subitems: [{name: 'Create landing page'}]
}
]
},
{
title: 'Q2 Planning',
color: '#037f4c',
items: [
{
name: 'Summer Webinar Series',
column_values: {status: 'Planning', budget: '$25000'},
updates: [{body: JSON.stringify('Brainstorming topics with product team')}]
}
]
}
]
},
{
name: 'Customer Success',
description: 'Customer onboarding and support initiatives',
board_kind: 'public',
groups: [
{
title: 'Enterprise Clients',
color: '#784bd1',
items: [
{
name: 'Acme Corp - Onboarding',
column_values: {status: 'In Progress', account_value: '$250000'},
updates: [{body: JSON.stringify('Kickoff call completed, 50 user licenses purchased')}],
subitems: [{name: 'Initial training session'}]
}
]
},
{
title: 'SMB Clients',
color: '#579bfc',
items: [
{
name: 'Digital Agency Co - Support',
column_values: {status: 'Active', account_value: '$5000'},
updates: [{body: JSON.stringify('Monthly check-in call completed')}]
}
]
}
]
}
]
})
};
fetch('https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Monday
Initialize monday sandbox with data
Initialize the sandbox with monday-specific data following the defined schema.
POST
/
sandbox
/
monday
/
{sandbox_id}
/
initialize
Initialize monday sandbox with data
curl --request POST \
--url https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaces": [
{
"name": "Product Development",
"kind": "open",
"description": "Main workspace for product development and engineering teams"
},
{
"name": "Marketing & Sales",
"kind": "open",
"description": "Workspace for marketing campaigns and sales tracking"
}
],
"boards": [
{
"name": "Sprint Planning Q1",
"description": "Agile sprint planning and task tracking for Q1 2024",
"board_kind": "public",
"groups": [
{
"title": "Backlog",
"color": "#808080",
"items": [
{
"name": "Research new authentication methods",
"column_values": {
"status": "Not Started",
"priority": "Low"
},
"updates": [
{
"body": "Need to evaluate OAuth 2.0, SAML, and WebAuthn"
}
]
}
]
},
{
"title": "Sprint 1 - Foundation",
"color": "#0086c0",
"items": [
{
"name": "Set up project repository",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [
{
"body": "Repository created on GitHub with proper branch protection rules"
}
],
"subitems": [
{
"name": "Initialize Git repository"
}
]
},
{
"name": "Implement user authentication",
"column_values": {
"status": "Working on it",
"priority": "Critical"
},
"updates": [
{
"body": "Started with JWT token implementation"
}
],
"subitems": [
{
"name": "Implement JWT authentication"
}
]
}
]
},
{
"title": "Completed",
"color": "#00d647",
"items": [
{
"name": "Initial project kickoff",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [
{
"body": "Successful kickoff meeting with all stakeholders"
}
]
}
]
}
]
},
{
"name": "Bug Tracker",
"description": "Track and manage software bugs and issues",
"board_kind": "public",
"groups": [
{
"title": "New Bugs",
"color": "#e44258",
"items": [
{
"name": "Login fails on Safari browser",
"column_values": {
"status": "New",
"priority": "Critical",
"severity": "High"
},
"updates": [
{
"body": "Reported by 3 users, reproducible on Safari 17+"
}
]
}
]
},
{
"title": "In Progress",
"color": "#fdab3d",
"items": [
{
"name": "API timeout on large data requests",
"column_values": {
"status": "Investigating",
"priority": "High",
"severity": "Medium"
},
"updates": [
{
"body": "Identified slow database query as root cause"
}
],
"subitems": [
{
"name": "Add database indexes"
}
]
}
]
},
{
"title": "Closed",
"color": "#c4c4c4",
"items": [
{
"name": "Dark mode toggle not working",
"column_values": {
"status": "Closed",
"priority": "Medium",
"severity": "Low"
},
"updates": [
{
"body": "Fixed in version 1.2.0"
}
]
}
]
}
]
},
{
"name": "Marketing Campaigns 2024",
"description": "Marketing campaign planning and execution",
"board_kind": "public",
"groups": [
{
"title": "Q1 Campaigns",
"color": "#9cd326",
"items": [
{
"name": "Spring Product Launch",
"column_values": {
"status": "In Progress",
"budget": "$50000"
},
"updates": [
{
"body": "Landing page design completed"
}
],
"subitems": [
{
"name": "Create landing page"
}
]
}
]
},
{
"title": "Q2 Planning",
"color": "#037f4c",
"items": [
{
"name": "Summer Webinar Series",
"column_values": {
"status": "Planning",
"budget": "$25000"
},
"updates": [
{
"body": "Brainstorming topics with product team"
}
]
}
]
}
]
},
{
"name": "Customer Success",
"description": "Customer onboarding and support initiatives",
"board_kind": "public",
"groups": [
{
"title": "Enterprise Clients",
"color": "#784bd1",
"items": [
{
"name": "Acme Corp - Onboarding",
"column_values": {
"status": "In Progress",
"account_value": "$250000"
},
"updates": [
{
"body": "Kickoff call completed, 50 user licenses purchased"
}
],
"subitems": [
{
"name": "Initial training session"
}
]
}
]
},
{
"title": "SMB Clients",
"color": "#579bfc",
"items": [
{
"name": "Digital Agency Co - Support",
"column_values": {
"status": "Active",
"account_value": "$5000"
},
"updates": [
{
"body": "Monthly check-in call completed"
}
]
}
]
}
]
}
]
}
'import requests
url = "https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize"
payload = {
"workspaces": [
{
"name": "Product Development",
"kind": "open",
"description": "Main workspace for product development and engineering teams"
},
{
"name": "Marketing & Sales",
"kind": "open",
"description": "Workspace for marketing campaigns and sales tracking"
}
],
"boards": [
{
"name": "Sprint Planning Q1",
"description": "Agile sprint planning and task tracking for Q1 2024",
"board_kind": "public",
"groups": [
{
"title": "Backlog",
"color": "#808080",
"items": [
{
"name": "Research new authentication methods",
"column_values": {
"status": "Not Started",
"priority": "Low"
},
"updates": [{ "body": "Need to evaluate OAuth 2.0, SAML, and WebAuthn" }]
}
]
},
{
"title": "Sprint 1 - Foundation",
"color": "#0086c0",
"items": [
{
"name": "Set up project repository",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [{ "body": "Repository created on GitHub with proper branch protection rules" }],
"subitems": [{ "name": "Initialize Git repository" }]
},
{
"name": "Implement user authentication",
"column_values": {
"status": "Working on it",
"priority": "Critical"
},
"updates": [{ "body": "Started with JWT token implementation" }],
"subitems": [{ "name": "Implement JWT authentication" }]
}
]
},
{
"title": "Completed",
"color": "#00d647",
"items": [
{
"name": "Initial project kickoff",
"column_values": {
"status": "Done",
"priority": "High"
},
"updates": [{ "body": "Successful kickoff meeting with all stakeholders" }]
}
]
}
]
},
{
"name": "Bug Tracker",
"description": "Track and manage software bugs and issues",
"board_kind": "public",
"groups": [
{
"title": "New Bugs",
"color": "#e44258",
"items": [
{
"name": "Login fails on Safari browser",
"column_values": {
"status": "New",
"priority": "Critical",
"severity": "High"
},
"updates": [{ "body": "Reported by 3 users, reproducible on Safari 17+" }]
}
]
},
{
"title": "In Progress",
"color": "#fdab3d",
"items": [
{
"name": "API timeout on large data requests",
"column_values": {
"status": "Investigating",
"priority": "High",
"severity": "Medium"
},
"updates": [{ "body": "Identified slow database query as root cause" }],
"subitems": [{ "name": "Add database indexes" }]
}
]
},
{
"title": "Closed",
"color": "#c4c4c4",
"items": [
{
"name": "Dark mode toggle not working",
"column_values": {
"status": "Closed",
"priority": "Medium",
"severity": "Low"
},
"updates": [{ "body": "Fixed in version 1.2.0" }]
}
]
}
]
},
{
"name": "Marketing Campaigns 2024",
"description": "Marketing campaign planning and execution",
"board_kind": "public",
"groups": [
{
"title": "Q1 Campaigns",
"color": "#9cd326",
"items": [
{
"name": "Spring Product Launch",
"column_values": {
"status": "In Progress",
"budget": "$50000"
},
"updates": [{ "body": "Landing page design completed" }],
"subitems": [{ "name": "Create landing page" }]
}
]
},
{
"title": "Q2 Planning",
"color": "#037f4c",
"items": [
{
"name": "Summer Webinar Series",
"column_values": {
"status": "Planning",
"budget": "$25000"
},
"updates": [{ "body": "Brainstorming topics with product team" }]
}
]
}
]
},
{
"name": "Customer Success",
"description": "Customer onboarding and support initiatives",
"board_kind": "public",
"groups": [
{
"title": "Enterprise Clients",
"color": "#784bd1",
"items": [
{
"name": "Acme Corp - Onboarding",
"column_values": {
"status": "In Progress",
"account_value": "$250000"
},
"updates": [{ "body": "Kickoff call completed, 50 user licenses purchased" }],
"subitems": [{ "name": "Initial training session" }]
}
]
},
{
"title": "SMB Clients",
"color": "#579bfc",
"items": [
{
"name": "Digital Agency Co - Support",
"column_values": {
"status": "Active",
"account_value": "$5000"
},
"updates": [{ "body": "Monthly check-in call completed" }]
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [
{
name: 'Product Development',
kind: 'open',
description: 'Main workspace for product development and engineering teams'
},
{
name: 'Marketing & Sales',
kind: 'open',
description: 'Workspace for marketing campaigns and sales tracking'
}
],
boards: [
{
name: 'Sprint Planning Q1',
description: 'Agile sprint planning and task tracking for Q1 2024',
board_kind: 'public',
groups: [
{
title: 'Backlog',
color: '#808080',
items: [
{
name: 'Research new authentication methods',
column_values: {status: 'Not Started', priority: 'Low'},
updates: [{body: JSON.stringify('Need to evaluate OAuth 2.0, SAML, and WebAuthn')}]
}
]
},
{
title: 'Sprint 1 - Foundation',
color: '#0086c0',
items: [
{
name: 'Set up project repository',
column_values: {status: 'Done', priority: 'High'},
updates: [
{
body: JSON.stringify('Repository created on GitHub with proper branch protection rules')
}
],
subitems: [{name: 'Initialize Git repository'}]
},
{
name: 'Implement user authentication',
column_values: {status: 'Working on it', priority: 'Critical'},
updates: [{body: JSON.stringify('Started with JWT token implementation')}],
subitems: [{name: 'Implement JWT authentication'}]
}
]
},
{
title: 'Completed',
color: '#00d647',
items: [
{
name: 'Initial project kickoff',
column_values: {status: 'Done', priority: 'High'},
updates: [{body: JSON.stringify('Successful kickoff meeting with all stakeholders')}]
}
]
}
]
},
{
name: 'Bug Tracker',
description: 'Track and manage software bugs and issues',
board_kind: 'public',
groups: [
{
title: 'New Bugs',
color: '#e44258',
items: [
{
name: 'Login fails on Safari browser',
column_values: {status: 'New', priority: 'Critical', severity: 'High'},
updates: [{body: JSON.stringify('Reported by 3 users, reproducible on Safari 17+')}]
}
]
},
{
title: 'In Progress',
color: '#fdab3d',
items: [
{
name: 'API timeout on large data requests',
column_values: {status: 'Investigating', priority: 'High', severity: 'Medium'},
updates: [{body: JSON.stringify('Identified slow database query as root cause')}],
subitems: [{name: 'Add database indexes'}]
}
]
},
{
title: 'Closed',
color: '#c4c4c4',
items: [
{
name: 'Dark mode toggle not working',
column_values: {status: 'Closed', priority: 'Medium', severity: 'Low'},
updates: [{body: JSON.stringify('Fixed in version 1.2.0')}]
}
]
}
]
},
{
name: 'Marketing Campaigns 2024',
description: 'Marketing campaign planning and execution',
board_kind: 'public',
groups: [
{
title: 'Q1 Campaigns',
color: '#9cd326',
items: [
{
name: 'Spring Product Launch',
column_values: {status: 'In Progress', budget: '$50000'},
updates: [{body: JSON.stringify('Landing page design completed')}],
subitems: [{name: 'Create landing page'}]
}
]
},
{
title: 'Q2 Planning',
color: '#037f4c',
items: [
{
name: 'Summer Webinar Series',
column_values: {status: 'Planning', budget: '$25000'},
updates: [{body: JSON.stringify('Brainstorming topics with product team')}]
}
]
}
]
},
{
name: 'Customer Success',
description: 'Customer onboarding and support initiatives',
board_kind: 'public',
groups: [
{
title: 'Enterprise Clients',
color: '#784bd1',
items: [
{
name: 'Acme Corp - Onboarding',
column_values: {status: 'In Progress', account_value: '$250000'},
updates: [{body: JSON.stringify('Kickoff call completed, 50 user licenses purchased')}],
subitems: [{name: 'Initial training session'}]
}
]
},
{
title: 'SMB Clients',
color: '#579bfc',
items: [
{
name: 'Digital Agency Co - Support',
column_values: {status: 'Active', account_value: '$5000'},
updates: [{body: JSON.stringify('Monthly check-in call completed')}]
}
]
}
]
}
]
})
};
fetch('https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaces: [
{
name: 'Product Development',
kind: 'open',
description: 'Main workspace for product development and engineering teams'
},
{
name: 'Marketing & Sales',
kind: 'open',
description: 'Workspace for marketing campaigns and sales tracking'
}
],
boards: [
{
name: 'Sprint Planning Q1',
description: 'Agile sprint planning and task tracking for Q1 2024',
board_kind: 'public',
groups: [
{
title: 'Backlog',
color: '#808080',
items: [
{
name: 'Research new authentication methods',
column_values: {status: 'Not Started', priority: 'Low'},
updates: [{body: JSON.stringify('Need to evaluate OAuth 2.0, SAML, and WebAuthn')}]
}
]
},
{
title: 'Sprint 1 - Foundation',
color: '#0086c0',
items: [
{
name: 'Set up project repository',
column_values: {status: 'Done', priority: 'High'},
updates: [
{
body: JSON.stringify('Repository created on GitHub with proper branch protection rules')
}
],
subitems: [{name: 'Initialize Git repository'}]
},
{
name: 'Implement user authentication',
column_values: {status: 'Working on it', priority: 'Critical'},
updates: [{body: JSON.stringify('Started with JWT token implementation')}],
subitems: [{name: 'Implement JWT authentication'}]
}
]
},
{
title: 'Completed',
color: '#00d647',
items: [
{
name: 'Initial project kickoff',
column_values: {status: 'Done', priority: 'High'},
updates: [{body: JSON.stringify('Successful kickoff meeting with all stakeholders')}]
}
]
}
]
},
{
name: 'Bug Tracker',
description: 'Track and manage software bugs and issues',
board_kind: 'public',
groups: [
{
title: 'New Bugs',
color: '#e44258',
items: [
{
name: 'Login fails on Safari browser',
column_values: {status: 'New', priority: 'Critical', severity: 'High'},
updates: [{body: JSON.stringify('Reported by 3 users, reproducible on Safari 17+')}]
}
]
},
{
title: 'In Progress',
color: '#fdab3d',
items: [
{
name: 'API timeout on large data requests',
column_values: {status: 'Investigating', priority: 'High', severity: 'Medium'},
updates: [{body: JSON.stringify('Identified slow database query as root cause')}],
subitems: [{name: 'Add database indexes'}]
}
]
},
{
title: 'Closed',
color: '#c4c4c4',
items: [
{
name: 'Dark mode toggle not working',
column_values: {status: 'Closed', priority: 'Medium', severity: 'Low'},
updates: [{body: JSON.stringify('Fixed in version 1.2.0')}]
}
]
}
]
},
{
name: 'Marketing Campaigns 2024',
description: 'Marketing campaign planning and execution',
board_kind: 'public',
groups: [
{
title: 'Q1 Campaigns',
color: '#9cd326',
items: [
{
name: 'Spring Product Launch',
column_values: {status: 'In Progress', budget: '$50000'},
updates: [{body: JSON.stringify('Landing page design completed')}],
subitems: [{name: 'Create landing page'}]
}
]
},
{
title: 'Q2 Planning',
color: '#037f4c',
items: [
{
name: 'Summer Webinar Series',
column_values: {status: 'Planning', budget: '$25000'},
updates: [{body: JSON.stringify('Brainstorming topics with product team')}]
}
]
}
]
},
{
name: 'Customer Success',
description: 'Customer onboarding and support initiatives',
board_kind: 'public',
groups: [
{
title: 'Enterprise Clients',
color: '#784bd1',
items: [
{
name: 'Acme Corp - Onboarding',
column_values: {status: 'In Progress', account_value: '$250000'},
updates: [{body: JSON.stringify('Kickoff call completed, 50 user licenses purchased')}],
subitems: [{name: 'Initial training session'}]
}
]
},
{
title: 'SMB Clients',
color: '#579bfc',
items: [
{
name: 'Digital Agency Co - Support',
column_values: {status: 'Active', account_value: '$5000'},
updates: [{body: JSON.stringify('Monthly check-in call completed')}]
}
]
}
]
}
]
})
};
fetch('https://api.klavis.ai/sandbox/monday/{sandbox_id}/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The unique sandbox identifier
Query Parameters
If true, use default test data for initialization
Body
application/json
Complete Monday.com sandbox data structure.
Relational structure for initialization:
- Workspaces (optional, can be created separately)
- Boards contain Groups
- Groups contain Items
- Items contain Updates and Subitems
All objects support DELETE operations.
⌘I
